<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>ru.entaxy.esb.platform.runtime</groupId>
    <artifactId>core</artifactId>
    <version>1.10.1</version>
  </parent>
  <groupId>ru.entaxy.esb.platform.runtime.core</groupId>
  <artifactId>artifact-management</artifactId>
  <packaging>bundle</packaging>
  <name>ENTAXY :: PLATFORM :: CORE :: ARTIFACT MANAGEMENT</name>
  <description>ENTAXY :: PLATFORM :: CORE :: ARTIFACT MANAGEMENT</description>
  
  <properties>
      <bundle.osgi.export.pkg>
      	ru.entaxy.platform.core.artifact*,
      	ru.entaxy.platform.core.artifact.*,
      	ru.entaxy.platform.core.artifact.repository.impl
      </bundle.osgi.export.pkg>
      <bundle.osgi.private.pkg>
      	ru.entaxy.platform.core.artifact.impl,
      	ru.entaxy.platform.core.artifact.installer.builder.impl,
      	ru.entaxy.platform.core.artifact.installer.impl,
      	ru.entaxy.platform.core.artifact.repository.impl.remote,
      	ru.entaxy.platform.core.artifact.service.impl
      </bundle.osgi.private.pkg>
      <httpmime.version>4.4.1</httpmime.version>
      <bundle.osgi.dynamicimport.pkg>*</bundle.osgi.dynamicimport.pkg>
  </properties>
  
  
  <build>
        <plugins>
            <plugin>
                <groupId>org.apache.felix</groupId>
                <artifactId>maven-bundle-plugin</artifactId>
                <extensions>true</extensions>
                <configuration>
                    <instructions>
                    	<Entaxy-Initializer-Class>ru.entaxy.platform.core.artifact.repository.ArtifactRepositoryInitializer?id=repositories&amp;repeat=true&amp;retries=10&amp;interval=15000</Entaxy-Initializer-Class>
                    </instructions>
                </configuration>
            </plugin>
			<plugin>
				<groupId>org.codehaus.mojo</groupId>
				<artifactId>build-helper-maven-plugin</artifactId>
				<executions>
					<execution>
						<id>attach-artifacts</id>
						<phase>package</phase>
						<goals>
							<goal>attach-artifact</goal>
						</goals>
						<configuration>
							<artifacts>
								<artifact>
									<file>src/main/non-packaged-resources/etc/ru.entaxy.esb.artifact.repositories.cfg</file>
									<type>cfg</type>
									<classifier>ru.entaxy.esb.artifact.repositories</classifier>
								</artifact>
							</artifacts>
						</configuration>
					</execution>
				</executions>
			</plugin>										
         </plugins>
  </build>
  
  <dependencies>
  	<dependency>
  		<groupId>
  			ru.entaxy.esb.platform.runtime.core.initializer
  		</groupId>
  		<artifactId>init-manager</artifactId>
  		<version>${project.version}</version>
  	</dependency>
  	<dependency>
  		<groupId>org.apache.karaf.config</groupId>
  		<artifactId>org.apache.karaf.config.core</artifactId>
  		<version>${karaf.version}</version>
  	</dependency>
  	<dependency>
  		<groupId>org.apache.karaf.cave.repository</groupId>
  		<artifactId>org.apache.karaf.cave.repository.api</artifactId>
  		<version>${cave.version}</version>
  	</dependency>
  	<dependency>
	    <groupId>org.apache.httpcomponents</groupId>
	    <artifactId>httpmime</artifactId>
	    <version>${httpmime.version}</version>
	</dependency>
  	<dependency>
  		<groupId>
  			ru.entaxy.esb.platform.runtime.base.connecting.generator
  		</groupId>
  		<artifactId>generator-api</artifactId>
  		<version>${project.version}</version>
  	</dependency>
  	<dependency>
  		<groupId>
  			ru.entaxy.esb.platform.runtime.base
  		</groupId>
  		<artifactId>base-support</artifactId>
  		<version>${project.version}</version>
  	</dependency>
  	<dependency>
  		<groupId>org.apache.karaf.bundle</groupId>
  		<artifactId>org.apache.karaf.bundle.core</artifactId>
  		<version>${karaf.version}</version>
  	</dependency>
  	<dependency>
  		<groupId>org.apache.karaf.cellar</groupId>
  		<artifactId>org.apache.karaf.cellar.bundle</artifactId>
  		<version>${cellar.version}-ENTAXY</version> 
  	</dependency>
  	<dependency>
  		<groupId>org.apache.karaf.cellar</groupId>
  		<artifactId>org.apache.karaf.cellar.core</artifactId>
  		<version>${cellar.version}</version> 
  	</dependency>
  	<!-- dependency>
  		<groupId>org.apache.felix</groupId>
  		<artifactId>org.apache.felix.configadmin</artifactId>
  		<version>${felix.configadmin.version}</version>
  	</dependency-->  	
  	<dependency>
    	<groupId>commons-codec</groupId>
    	<artifactId>commons-codec</artifactId>
    </dependency>
    <dependency>
      <groupId>ru.entaxy.esb.platform.runtime.core</groupId>
      <artifactId>core-support-runtime-legacy</artifactId>
      <version>${project.version}</version>
    </dependency>
  </dependencies>
  
</project>
